OverallRunListener (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.spock.listener

## [Groovy] Class OverallRunListener

- org.codehaus.groovy.grails.test.spock.listener.OverallRunListener

- Authors:
    Luke Daley
    Graeme Rocher
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `OverallRunListener (GrailsTestEventPublisher eventPublisher, JUnitReportsFactory reportsFactory, SystemOutAndErrSwapper outAndErrSwapper, GrailsSpecTestTypeResult result, GrailsTestRunNotifier grailsNotifier)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `testAssumptionFailure(org.junit.runner.notification.Failure failure)`
    `void` | `testFailure(org.junit.runner.notification.Failure failure)`
    `void` | `testFinished(org.junit.runner.Description description)`
    `void` | `testIgnored(org.junit.runner.Description description)`
    `void` | `testRunFinished(org.junit.runner.Result result)`
    `void` | `testRunStarted(org.junit.runner.Description description)`
    `void` | `testStarted(org.junit.runner.Description description)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.junit.runner.notification.RunListener` | `org.junit.runner.notification.RunListener#testRunStarted(org.junit.runner.Description), org.junit.runner.notification.RunListener#testRunFinished(org.junit.runner.Result), org.junit.runner.notification.RunListener#testStarted(org.junit.runner.Description), org.junit.runner.notification.RunListener#testFinished(org.junit.runner.Description), org.junit.runner.notification.RunListener#testFailure(org.junit.runner.notification.Failure), org.junit.runner.notification.RunListener#testAssumptionFailure(org.junit.runner.notification.Failure), org.junit.runner.notification.RunListener#testIgnored(org.junit.runner.Description), org.junit.runner.notification.RunListener#wait(long, int), org.junit.runner.notification.RunListener#wait(long), org.junit.runner.notification.RunListener#wait(), org.junit.runner.notification.RunListener#equals(java.lang.Object), org.junit.runner.notification.RunListener#toString(), org.junit.runner.notification.RunListener#hashCode(), org.junit.runner.notification.RunListener#getClass(), org.junit.runner.notification.RunListener#notify(), org.junit.runner.notification.RunListener#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### OverallRunListener(GrailsTestEventPublisher eventPublisher, JUnitReportsFactory reportsFactory, SystemOutAndErrSwapper outAndErrSwapper, GrailsSpecTestTypeResult result, GrailsTestRunNotifier grailsNotifier)

  - ### Method Detail

    - #### void testAssumptionFailure(org.junit.runner.notification.Failure failure)

    - #### void testFailure(org.junit.runner.notification.Failure failure)

    - #### void testFinished(org.junit.runner.Description description)

    - #### void testIgnored(org.junit.runner.Description description)

    - #### void testRunFinished(org.junit.runner.Result result)

    - #### void testRunStarted(org.junit.runner.Description description)

    - #### void testStarted(org.junit.runner.Description description)